From 0f7df8986ff3cf7f91a9672b4898222d137e34f7 Mon Sep 17 00:00:00 2001
From: Brandur <brandur@mutelight.org>
Date: Fri, 31 Mar 2017 11:55:29 -0700
Subject: [PATCH] Fix two typos introduced by macaddr SortSupport

Fixes a few minor types pointed out in review:

* "having to go the heap" -> "having to go to the heap"
* "converstion" -> "conversion"

These were introduced as part of SortSupport for macaddr in commit:
f90d23d0c51895e0d7db7910538e85d3d38691f0
---
 src/backend/utils/adt/mac.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/adt/mac.c b/src/backend/utils/adt/mac.c
index 1b5b518809..eff4529a6a 100644
--- a/src/backend/utils/adt/mac.c
+++ b/src/backend/utils/adt/mac.c
@@ -398,7 +398,8 @@ macaddr_fast_cmp(Datum x, Datum y, SortSupport ssup)
 
 /*
  * SortSupport abbreviated key comparison function. Compares two MAC addresses
- * quickly by treating them like integers, and without having to go the heap.
+ * quickly by treating them like integers, and without having to go to the
+ * heap.
  */
 static int
 macaddr_cmp_abbrev(Datum x, Datum y, SortSupport ssup)
@@ -477,7 +478,7 @@ macaddr_abbrev_abort(int memtupcount, SortSupport ssup)
 }
 
 /*
- * SortSupport converstion routine. Converts original macaddr representation
+ * SortSupport conversion routine. Converts original macaddr representation
  * to abbreviated key representation.
  *
  * Packs the bytes of a 6-byte MAC address into a Datum and treats it as an
-- 
2.12.2

